/*
 * ditmer-embla
 * 
 *
 * Copyright (c) 2017 Ebbe Knudsen
 * Licensed under the MIT license.
 */

'use strict';

module.exports = function(grunt) {

  var path = require("path");

  // Project configuration.
  grunt.initConfig(getGruntConfig());

  // Actually load this plugin's task(s).
  grunt.loadTasks('tasks');


  function getGruntConfig() {
    return {
      
      ditmer_embla: {
        dist: {
          options: {
            emblaJsOutputPath: path.resolve(process.cwd() + "/dist/js"),
            emblaCssOutputPath: path.resolve(process.cwd() + "/dist/css"),
            emblaIconsOutputPath: path.resolve(process.cwd() + "/dist/icons"),
            emblaIllustrationsOutputPath: path.resolve(process.cwd() + "/dist/illustrations"),
          }
        }
      },
      build_dist: {
        dist: {
          options: {
            emblaJsOutputPath: path.resolve(process.cwd() + "/dist/js"),
            emblaCssOutputPath: path.resolve(process.cwd() + "/dist/css"),
            emblaIconsOutputPath: path.resolve(process.cwd() + "/dist/icons"),
            emblaIllustrationsOutputPath: path.resolve(process.cwd() + "/dist/illustrations"),
          }
        }
      },
      getGruntConfigCallback: getGruntConfig
    };
  }
};
